# Copyright 2020 Curtin University
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Author: Tuan Chien

# The keywords airflow and DAG are required to load the DAGs from this file, see bullet 2 in the Apache Airflow FAQ:
# https://airflow.apache.org/docs/stable/faq.html

import pendulum

from academic_observatory_workflows.workflows.unpaywall_telescope import (
    UnpaywallTelescope,
)

start_date = pendulum.datetime(2021, 10, 18)  # Set this to the snapshot release date you want to base it off
telescope = UnpaywallTelescope(start_date=start_date)
globals()[telescope.dag_id] = telescope.make_dag()
